Skip to main content
POST
cURL

Authorizations

X-API-ID
string
header
required

API ID, from your settings page.

X-API-KEY
string
header
required

API Key, from your settings page.

Path Parameters

id
string<uuid>
required

A UUID string identifying this Viral Cut Flow.

Response

200 - application/json
id
string<uuid>
required
read-only
status
enum<string>
required
  • pending - Pending
  • in_queue - In Queue
  • running - Running
  • failed - Failed
  • done - Done
  • rejected - Rejected
Available options:
pending,
in_queue,
running,
failed,
done,
rejected
failed_reason
string
required
read-only

Failed reason

video_output
string | null
required
read-only

Video output URL

preview
string | null
required
read-only

Preview URL

editor_url
string | null
required
read-only

Editor URL for the video. Expires in 24 hours. Available only if your API account has API editor access enabled. , expires in 24 hours.

is_hidden
boolean
required
read-only

Is the video hidden in the website projects page

progress
number<double>
required
read-only

Progress of the job

credits_used
number
required
read-only

Credits used in this API call

duration
integer
required
read-only

Duration of the video in seconds

media_job
string | null
required
read-only
permission_type
enum<string>
required
  • private - Private
  • workspace - Workspace
  • public - Public
Available options:
private,
workspace,
public
created_at
string<date-time>
required
read-only
updated_at
string<date-time>
required
read-only
user
integer | null
required
read-only
workspace
string<uuid> | null
required
read-only
name
string
Maximum string length: 255
script
string | null

Text to be converted to video

aspect_ratio

Aspect ratio of the video

  • 9x16 - 9X16
  • 16x9 - 16X9
  • 1x1 - 1X1
Available options:
9x16,
16x9,
1x1
is_talking_video
boolean

Whether the video is talking video or not

is_one_person_in_video
boolean

Whether the video is one person video or not

editing_style

Style to be used for the video

  • film - Film
  • geometric_gradient - Geometric Gradient
  • glitch - Glitch
  • glitter_gradient - Glitter Gradient
  • paper - Paper
Available options:
film,
geometric_gradient,
glitch,
glitter_gradient,
paper
audio_url
string | null

Audio to be used for the video

Maximum string length: 255
video_url
string | null

Video to be used for the video

Maximum string length: 255
size
number<double>

Size of the video

created_from_api
boolean

Flow is created from api or not

caption_setting
any | null

Caption setting, default null and default caption setting will be used

background_music_url
string<uri> | null

Background music URL for the video. Default is null, video will use random music.

Maximum string length: 255
background_music_volume
number<double> | null

Volume of the background music, ranging from 0.0 to 1.0. Default is null, video will use default music volume of visual_style.

Required range: 0 <= x <= 1
voiceover_volume
number<double> | null

Volume of the voiceover, ranging from 0.0 to 1.0. Default is null, video will use default voiceover volume of visual_style.

Required range: 0 <= x <= 1
webhook_url
string<uri> | null

Webhook URL for status updates. Default is null.

Maximum string length: 200
brand
string<uuid> | null